(function(exports) {
    var recordAPI = {
		//根据患者获取团队信息
		teamInfo: function(data) {
			return httpRequest.get("doctor/family_contract/patient_doctor_teams", {data: data})
		},
		//获取医生信息
		docInfo:function(data){
			return httpRequest.get("doctor/baseinfo", {data: data})
		},
		//获取患者信息
		patientInfo:function(data) {
			return httpRequest.get("doctor/patient_label_info/patient", {data: data})
		},
		//咨询列表
		consultList: function(data) {
			return httpRequest.post("doctor/consult/list_by_team", {data: data})
		},
		//指导列表
		guidanceList: function(data) {
			return httpRequest.post("doctor/health/guidance/list_by_team", {data: data})
		},
		//教育列表
		educationList:function(data){
			return httpRequest.post("doctor/jkEdu/article/PC/fetchPatientArticlePushedList", {data: data})
		},
		//随访列表
		followUpList:function(data){
			return httpRequest.post("doctor/followup/list_by_team", {data: data})
		},
		//代预约
		toBeReservedList:function(data){
			return httpRequest.post("third/guahao/GetPatientReservationList", {data: data})
		},
		//获取统计
		getStatistics:function(data){
			return httpRequest.post("doctor/patient/service/statistics", {data: data})
		},
	}
    exports.recordAPI = recordAPI;
})(window)