Vue.component('follow-list', {
	template: `<ul class="consultation-list">
				<li class="consultation-list-item" @click="viewDetail(1)" v-for="(list,index) in followUpList">
					<p class="follow-up-doctor"><span class="start-time pull-right">开始时间：{{list.createTime}}</span>随访医生：{{list.doctorName}}</p>
					<div class="follow-user-info">
						<span class="follow-status" :data-status="list.status" desc="1进行2结束"></span>
						<p class="act-type">方式/类型：{{list.followupTypeName}}{{list.followupClassName?"/"+list.followupClassName:""}}</p>
						<p class="completion-time">{{list.status==1?"计划时间："+list.followupPlanDate:"完成时间："+list.followupDate}}</p>
					</div>
				</li>
			</ul>`,
	data: function() {
		return {
			followUpList: "",
			curPage:1
		}
	},
	props:["followUpData"],
	methods: {
		viewDetail: function(id) {
			top.layer.open({
		      type: 2,
		      maxmin: true,
		      area: ['600px', '360px'],
		      shadeClose: true,
		      content: 'ddd'
		    });
		}
	},
	watch:{
		followUpData:function(val){
			this.followUpList=this.followUpData;
		}
	},
	mounted: function() {
		this.$emit('init-data', this.curPage);
	}
})